Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.perforce
Class P4Add

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.optional.perforce.P4Base
                  org.apache.tools.ant.taskdefs.optional.perforce.P4Add

public class P4Add
extends P4Base

Adds specified files to Perforce. Example Usage:

Function | Command
Add files using P4USER, P4PORT and P4CLIENT settings specified | <P4add P4view="//projects/foo/main/source/..." P4User="fbloggs" P4Port="km01:1666" P4Client="fbloggsclient"> <fileset basedir="dir" includes="**/*.java"> </p4add>
Add files using P4USER, P4PORT and P4CLIENT settings defined in environment | <P4add P4view="//projects/foo/main/source/..." /> <fileset basedir="dir" includes="**/*.java"> </p4add>
Specify the length of command line arguments to pass to each invocation of p4 | <p4add Commandlength="450">

Author:
  Les Hughes, Anli Shundi

Field Summary

Fields inherited from class org.apache.tools.ant.taskdefs.optional.perforce.P4Base
`failOnError, P4Client, P4CmdOpts, P4Opts, P4Port, P4User, P4View, shell, util`

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`P4Add()`

Method Summary
`void` | `addFileset(FileSet set)` files to add
`void` | `execute()` Called by the project to let the task do its work.
`void` | `setChangelist(int changelist)` If specified the open files are associated with the specified pending changelist number; otherwise the open files are associated with the default changelist.
`void` | `setCommandlength(int len)` positive integer specifying the maximum length of the commandline when calling Perforce to add the files.

Methods inherited from class org.apache.tools.ant.taskdefs.optional.perforce.P4Base
`execP4Command, execP4Command, init, setClient, setCmdopts, setFailonerror, setPort, setUser, setView`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, handleErrorFlush, handleErrorOutput, handleFlush, handleOutput, isInvalid, log, log, maybeConfigure, perform, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### P4Add

    public P4Add()

Method Detail

### setCommandlength

    public void setCommandlength(int len)
                          throws BuildException

  positive integer specifying the maximum length of the commandline when calling Perforce to add the files. Defaults to 450, higher values mean faster execution, but also possible failures.

  Throws:
    `BuildException`

### setChangelist

    public void setChangelist(int changelist)
                       throws BuildException

  If specified the open files are associated with the specified pending changelist number; otherwise the open files are associated with the default changelist.

  Throws:
    `BuildException`

### addFileset

    public void addFileset(FileSet set)

  files to add

### execute

    public void execute()
                 throws BuildException

  Description copied from class: `Task`
  Called by the project to let the task do its work. This method may be called more than once, if the task is invoked more than once. For example, if target1 and target2 both depend on target3, then running "ant target1 target2" will run all tasks in target3 twice.

  Overrides:
    `execute` in class `Task`
  Throws:
    `BuildException` - if something goes wrong with the build

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.